Rails.application.routes.draw do
  devise_for :users, controllers: { sessions: "sessions" }, defaults: { format: :json }
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  
  resources :composed_memes, only: [:index]

  resources :memes, only: [:create, :index] do
    resources :votes, only: [:create]
  end
  
  root "static#home"
end
